<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<%--
====================================================
GateAdminのログイン画面の表示
====================================================
--%>

<%@ page contentType="text/html; charset=Shift_JIS"%>
<%@ page language="java" pageEncoding="SHIFT_JIS"%>

<%@ taglib prefix="c" uri="/WEB-INF/tlds/c.tld"%>

<jsp:useBean id="version" class="jp.co.orangesoft.xgate.XGateVersion" />
<jsp:useBean id="xgate_config" class="jp.co.orangesoft.xgate.XGateConfig"
  scope="application" />

<HTML>
<HEAD>
<TITLE>User Account Administration Login</TITLE>
<link rel="stylesheet" href="<c:url value="/css/default.css"/>" type="text/css">
<link rel="stylesheet" href="<c:url value="/css/admin.css"/>" type="text/css">
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=Shift_JIS">
<SCRIPT LANGUAGE="JavaScript">
  <!--
  function checkInput(form) {
    if (document.form.telno.value.length == 0) {
      <c:if test="${xgate_config.loginByTelphone}">
        alert("Please input user name.");
      </c:if>
      <c:if test="${!xgate_config.loginByTelphone}">
        alert("Please input your login name.");
      </c:if>
      document.form.telno.select();
      return;
    }

    if (document.form.password.value.length == 0) {
      alert("Please input password.");
      document.form.password.select();
      return;
    }

    <c:if test="${!xgate_config.keycodeLessMode}">
      if (document.form.key.value.length == 0) {
        alert("Please input keycode.");
        document.form.key.select();
        return;
      }
    </c:if>

    form.submit();
  }
  
  function startup() {
    document.cookie = "GateAdmin";
    Data = document.cookie;
    document.cookie = "";
    if (Data.length == 0) {
      alert("Please enable cookies in your web browser.");
    }
    document.form.telno.focus();
  }
  //-->
  </SCRIPT>
</HEAD>

<BODY onLoad="startup()">

<form NAME="form" ACTION="<c:url value="/GateAdmin"/>" METHOD="POST">

<br>

<div class="waku">

<div class="title_bar">
User Account Administration Login
</div>

<table border=0 cellspacing=0 style="line-height: 1.5em;padding: 1em;">
  <tr>
    <c:choose>
      <c:when test="${xgate_config.loginByTelphone}">
        <td align=right>User name</td>
      </c:when>
      <c:otherwise>
        <td align=right>Login name</td>
      </c:otherwise>
    </c:choose>
    <td align=left>
      <input type="text" name="telno" size="26">
    </td>
  </tr>

  <tr>
    <td align=right>Password</td>
    <td align=left>
      <input type="password" name="password" size="26">
    </td>
  </tr>
  
  <c:if test="${!xgate_config.keycodeLessMode}">
    <tr>
      <td align=right>Keycode</td>
      <td align=left>
        <input type="password" name="key" size="26">
      </td>
    </tr>
  </c:if>
</table>

<div style="padding: 5px;">
  <input class="cmd_btn" type="submit" value="Login" onClick="checkInput(form)">
</div>

</div>

<input type="hidden" name="cmd" value="LOGIN"> 
<input type="hidden" name="lang" value="en">

</form>

<div class="copy_right">
xGate&nbsp;<c:out value="${version.displayString}" /><br>
Copyright &copy;2000-2010 Orangesoft Inc. All Rights Reserved.
</div>

</BODY>
</HTML>
<!-- Copyright (c) 2000-2010 Orangesoft Inc. All Rights Reserved. -->
